## fwupd 1.5.11

=== meson_options.txt ===
option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
option('agent', type : 'boolean', value : true, description : 'enable the fwupd agent')
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
option('gtkdoc', type : 'boolean', value : false, description : 'enable developer documentation')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('libarchive', type : 'boolean', value : true, description : 'enable libarchive support')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('gusb', type : 'boolean', value : true, description : 'enable GUsb support')
option('bluez', type : 'boolean', value : false, description : 'enable BlueZ support')
option('polkit', type: 'boolean', value : true, description : 'enable PolKit support in daemon')
option('gnutls', type: 'boolean', value : true, description : 'enable GnuTLS support')
option('plugin_altos', type : 'boolean', value : true, description : 'enable altos support')
option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_emmc', type : 'boolean', value : true, description : 'enable eMMC support')
option('plugin_synaptics_mst', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('plugin_synaptics_rmi', type: 'boolean', value: true, description : 'enable Synaptics RMI support')
option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
option('plugin_uefi_capsule', type : 'boolean', value : true, description : 'enable UEFI capsule support')
option('plugin_uefi_pk', type : 'boolean', value : true, description : 'enable UEFI PK support')
option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
option('plugin_msr', type : 'boolean', value : true, description : 'enable MSR support')
option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
option('plugin_platform_integrity', type : 'boolean', value : false, description : 'enable platform integrity support')
option('qubes', type : 'boolean', value : false, description : 'build packages for Qubes OS')
option('supported_build', type : 'boolean', value : false, description: 'distribution package with upstream support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('soup_session_compat', type : 'boolean', value : true, description : 'enable SoupSession runtime compatibility support')
option('curl', type : 'boolean', value : true, description : 'enable libcurl support')
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
option('efi-objcopy', type : 'string', value : 'objcopy', description : 'the objcopy utility to use for EFI modules')
option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
option('efi_sbat_fwupd_generation', type : 'integer', value : 1, description : 'SBAT fwupd generation')
option('efi_sbat_distro_id', type : 'string', value : '', description : 'SBAT distribution ID, e.g. fedora')
option('efi_sbat_distro_summary', type : 'string', value : '', description : 'SBAT distribution summary, e.g. Fedora')
option('efi_sbat_distro_pkgname', type : 'string', value : '', description : 'SBAT distribution package name, e.g. fwupd')
option('efi_sbat_distro_version', type : 'string', value : '', description : 'SBAT distribution version, e.g. fwupd-1.5.6.fc33')
option('efi_sbat_distro_url', type : 'string', value : '', description : 'SBAT distribution URL, e.g. https://src.fedoraproject.org/rpms/fwupd')
option('efi_binary', type: 'boolean', value: 'true', description : 'build included UEFI binary if missing')

=== debian/changelog ===
fwupd (1.5.11-0ubuntu1~21.04.1) hirsute; urgency=medium

  * New upstream version (1.5.11) to support Dell dock USB4 module.
    (LP: #1934209)
  * Drop all patches upstream.
  * Sync updated files from contrib/debian/ to debian/.

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Thu, 01 Jul 2021 01:06:11 +0000

=== debian/control ===
Source: fwupd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <mario.limonciello@dell.com>
Build-Depends:
	bash-completion,
	bubblewrap,
	debhelper (>= 12),
	dh-strip-nondeterminism,
	fontconfig,
	fonts-noto,
	gcab,
	gettext (>= 0.19.8.1),
	gir1.2-pango-1.0,
	gnu-efi [amd64 arm64 armhf i386],
	gnutls-bin,
	gnutls-dev,
	gobject-introspection,
	gtk-doc-tools,
	help2man,
	libarchive-dev,
	libcairo-dev,
	libcairo-gobject2,
	libcurl4-gnutls-dev,
	libefiboot-dev [amd64 arm64 armhf i386],
	libefivar-dev [amd64 arm64 armhf i386],
	libelf-dev,
	libflashrom-dev [!ia64],
	libfreetype6-dev,
	libgcab-dev,
	libgirepository1.0-dev,
	libglib2.0-dev (>= 2.45.8),
	libgudev-1.0-dev,
	libgusb-dev (>= 0.3.5),
	libjcat-dev,
	libjson-glib-dev (>= 1.1.1),
	libmm-glib-dev,
	libpolkit-gobject-1-dev,
	libqmi-glib-dev,
	libsmbios-dev [i386 amd64],
	libsqlite3-dev,
	libsystemd-dev,
	libtool-bin,
	libtss2-dev,
	libxmlb-dev (>= 0.1.13),
	locales,
	meson,
	mingw-w64-tools [amd64 arm64 armhf i386],
	pkg-config,
	policykit-1 (>> 0.105-14),
	python3-gi-cairo,
	python3-pil,
	python3-requests,
	shared-mime-info,
	systemd (>= 231),
	udev,
	umockdev,
	valac,
	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
Build-Depends-Indep: libglib2.0-doc <!nodoc>
Standards-Version: 4.5.0
Section: admin
Homepage: https://github.com/fwupd/fwupd
Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd

Package: libfwupdplugin1
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon plugin library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the library for the interface between daemon and plugins.

Package: libfwupd2
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the library used by the daemon.

Package: fwupd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info
Recommends: python3,
	    bolt,
	    dbus,
	    secureboot-db,
	    udisks2,
	    fwupd-signed
Suggests: gir1.2-fwupd-2.0
Provides: fwupdate
Conflicts: fwupdate-amd64-signed,
	   fwupdate-i386-signed,
	   fwupdate-arm64-signed,
	   fwupdate-armhf-signed
Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
	libdfu1 (<< 0.9.7-1),
	fwupdate (<< 12-7),
	libdfu-dev (<< 0.9.7-1)
Replaces: gir1.2-dfu-1.0 (<< 0.9.7-1),
	  libdfu1 (<< 0.9.7-1),
	  libdfu-dev (<< 0.9.7-1),
	  fwupdate (<< 12-7)
Multi-Arch: foreign
Description: Firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details

Package: fwupd-tests
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ca-certificates,
         dbus-x11,
         fwupd,
         gnome-desktop-testing,
         policykit-1,
         python3,
         python3-gi,
         python3-requests,
Breaks: fwupd (<< 0.9.4-1)
Replaces: fwupd (<< 0.9.4-1)
Multi-Arch: foreign
Description: Test suite for firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides a set of installed tests that can be run to validate
 the daemon in a continuous integration system.

Package: fwupd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Firmware update daemon documentation (HTML format)
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides development documentation for creating a package that
 uses fwupd.

Package: libfwupd-dev
Architecture: linux-any
Multi-Arch: same
Depends: libfwupd2 (= ${binary:Version}),
         gir1.2-fwupd-2.0 (= ${binary:Version}),
         libcurl4-gnutls-dev,
         libglib2.0-dev (>= 2.45.8),
         libjcat-dev,
         libjson-glib-dev (>= 1.1.1),
         ${misc:Depends}
Breaks: fwupd-dev (<< 0.5.4-2~)
Replaces: fwupd-dev (<< 0.5.4-2~)
Section: libdevel
Description: development files for libfwupd
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the development files for libfwupd

Package: gir1.2-fwupd-2.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libfwupd
 This package provides the introspection data for libfwupd.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libfwupdplugin-dev
Architecture: linux-any
Multi-Arch: same
Depends: libfwupdplugin1 (= ${binary:Version}),
         gir1.2-fwupdplugin-1.0 (= ${binary:Version}),
         libarchive-dev,
         libcurl4-gnutls-dev,
         libfwupd-dev (= ${binary:Version}),
         libgcab-dev,
         libglib2.0-dev (>= 2.45.8),
         libgudev-1.0-dev,
         libgusb-dev (>= 0.3.5),
         libjcat-dev,
         libjson-glib-dev (>= 1.1.1),
         libxmlb-dev (>= 0.1.13),
         valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
         ${misc:Depends}
Section: libdevel
Description: development files for libfwupdplugin
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the development files for libfwupdplugin

Package: gir1.2-fwupdplugin-1.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libfwupdplugin
 This package provides the introspection data for libfwupdplugin.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: fwupd-amd64-signed-template
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

Package: fwupd-i386-signed-template
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

Package: fwupd-armhf-signed-template
Architecture: armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

Package: fwupd-arm64-signed-template
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

#GPGME needs this for proper building on 32 bit archs
ifeq ($(DEB_HOST_ARCH_BITS),32)
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

CONFARGS =

ifneq ($(CI),)
	CONFARGS += --werror
endif

SB_STYLE := debian
deb_version := $(shell dpkg-parsechangelog --show-field Version)
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	SB_STYLE := ubuntu
	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
	CONFARGS += -Dplugin_flashrom=false
	CONFARGS += -Defi_sbat_distro_id=ubuntu
	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
	CONFARGS += -Defi_sbat_distro_url="https://launchpad.net/ubuntu/+source/fwupd"
else
	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
	ifneq ($(DEB_HOST_ARCH_CPU),ia64)
		CONFARGS += -Dplugin_flashrom=true
	else
		CONFARGS += -Dplugin_flashrom=false
	endif
	CONFARGS += -Defi_sbat_distro_id=debian
	CONFARGS += -Defi_sbat_distro_summary=Debian
	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
	CONFARGS += -Defi_sbat_distro_url="https://tracker.debian.org/pkg/fwupd"
endif

ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
	CONFARGS += -Dplugin_dell=true
else
	CONFARGS += -Dplugin_dell=false
endif

ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
	CONFARGS += -Dplugin_uefi_capsule=true
else
	CONFARGS += -Dplugin_uefi_capsule=false
endif

ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
	CONFARGS += -Dplugin_msr=true
else
	CONFARGS += -Dplugin_msr=false
endif

ifneq ($(QUBES_OPTION),)
	CONFARGS += -Dqubes=true
endif

CONFARGS += -Dplugin_dummy=true -Dgtkdoc=true -Dsupported_build=true

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr obj-*
	rm -fr debian/build
ifeq (ubuntu,$(SB_STYLE))
	rm -rf debian/fwupd-images
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS)

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	#install the EFI binaries if needed
	[ ! -d debian/tmp/usr/libexec/fwupd/efi/ ] || dh_install -pfwupd usr/libexec/fwupd/efi
	#install MSR conf if needed (depending on distro)
	[ ! -d debian/tmp/usr/lib/modules-load.d ] || dh_install -pfwupd usr/lib/modules-load.d
	[ ! -d debian/tmp/lib/modules-load.d ] || dh_install -pfwupd lib/modules-load.d
	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_test_ble.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-3/libfu_plugin_invalid.so
	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf

ifeq (debian,$(SB_STYLE))
	# Generate the template source for the Debian signing service to use
	mkdir -p $(TMPLDIR)/source-template/debian
	cp -a debian/signing-template/* $(TMPLDIR)/source-template/debian
	cp debian/README.Debian $(TMPLDIR)/source-template/debian
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNARCH,$(DEB_HOST_ARCH),"
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNVERSION,$(deb_version),"
	set -e; for file in $$(find $(TMPLDIR)/source-template/debian -type f -name '*SIGNARCH*'); do \
		file1=$$(echo $$file | sed "s,SIGNARCH,$(DEB_HOST_ARCH),"); \
		mv -v $$file $$file1; \
	done
	install -m 0755 debian/fwupd.postinst $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postinst
	install -m 0755 debian/fwupd.postrm $(TMPLDIR)/source-template/debian/fwupd-$(DEB_HOST_ARCH)-signed.postrm
	debian/gen_signing_changelog $(TMPLDIR)/source-template/debian fwupd $(DEB_HOST_ARCH)
	debian/gen_signing_json $(TMPLDIR) fwupd ${DEB_HOST_ARCH}
endif

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

ifneq (yes,$(shell command -v valgrind >/dev/null 2>&1 && echo yes))
override_dh_auto_test:
	:
endif

override_dh_builddeb:
	dh_builddeb
ifeq (ubuntu,$(SB_STYLE))
	set -e; if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
		mkdir -p debian/fwupd-images/$(deb_version); \
		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version); \
		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version; \
		tar -C debian/fwupd-images -czvf ../$(tar_name) .; \
		dpkg-distaddfile $(tar_name) raw-uefi -; \
	fi
endif

## fwupd 1.7.5

=== meson_options.txt ===
option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('static_analysis', type : 'boolean', value : false, description : 'enable GCC static analysis support')
option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
option('docs', type : 'combo', choices : ['none', 'gtkdoc', 'docgen'], value : 'docgen', description : 'developer documentation type')
option('introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('lvfs', type : 'combo', choices : ['true', 'false', 'disabled'], value : 'true', description : 'install LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('libarchive', type : 'boolean', value : true, description : 'enable libarchive support')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('gusb', type : 'boolean', value : true, description : 'enable GUsb support')
option('bluez', type : 'boolean', value : false, description : 'enable BlueZ support')
option('polkit', type: 'boolean', value : true, description : 'enable PolKit support in daemon')
option('gnutls', type: 'boolean', value : true, description : 'enable GnuTLS support')
option('sqlite', type: 'boolean', value : true, description : 'enable sqlite support')
option('lzma', type: 'boolean', value : false, description : 'enable LZMA support')
option('plugin_amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('plugin_acpi_phat', type : 'boolean', value : true, description : 'enable ACPI PHAT support')
option('plugin_bcm57xx', type : 'boolean', value : true, description : 'enable BCM57xx support')
option('plugin_cfu', type : 'boolean', value : false, description : 'enable CFU support')
option('plugin_cpu', type : 'boolean', value : true, description : 'enable CPU support')
option('plugin_dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_emmc', type : 'boolean', value : true, description : 'enable eMMC support')
option('plugin_ep963x', type : 'boolean', value : true, description : 'enable EP963x support')
option('plugin_fastboot', type : 'boolean', value : true, description : 'enable Fastboot support')
option('plugin_logitech_bulkcontroller', type : 'boolean', value : true, description : 'enable Logitech bulk controller support')
option('plugin_parade_lspcon', type : 'boolean', value : true, description : 'enable Parade LSPCON support')
option('plugin_pixart_rf', type : 'boolean', value : true, description : 'enable PixartRF support')
option('plugin_realtek_mst', type : 'boolean', value : true, description : 'enable Realtek MST hub support')
option('plugin_synaptics_mst', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('plugin_synaptics_rmi', type: 'boolean', value: true, description : 'enable Synaptics RMI support')
option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
option('plugin_uefi_capsule', type : 'boolean', value : true, description : 'enable UEFI capsule support')
option('plugin_uefi_capsule_splash', type : 'boolean', value : true, description : 'enable UEFI capsule splash support')
option('plugin_uefi_pk', type : 'boolean', value : true, description : 'enable UEFI PK support')
option('plugin_nitrokey', type : 'boolean', value : true, description : 'enable Nitrokey support')
option('plugin_nvme', type : 'boolean', value : true, description : 'enable NVMe support')
option('plugin_modem_manager', type : 'boolean', value : false, description : 'enable ModemManager support')
option('plugin_msr', type : 'boolean', value : true, description : 'enable MSR support')
option('plugin_mtd', type : 'boolean', value : true, description : 'enable MTD support')
option('plugin_flashrom', type : 'boolean', value : false, description : 'enable libflashrom support')
option('plugin_platform_integrity', type : 'boolean', value : false, description : 'enable platform integrity support')
option('plugin_intel_spi', type : 'boolean', value : false, description : 'enable Intel SPI support')
option('plugin_uf2', type : 'boolean', value : true, description : 'enable support for UF2')
option('plugin_upower', type : 'boolean', value : true, description : 'enable support for UPower')
option('plugin_powerd', type : 'boolean', value : true, description : 'enable support for powerd')
option('qubes', type : 'boolean', value : false, description : 'build packages for Qubes OS')
option('supported_build', type : 'boolean', value : false, description: 'distribution package with upstream support')
option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('soup_session_compat', type : 'boolean', value : true, description : 'enable SoupSession runtime compatibility support')
option('curl', type : 'boolean', value : true, description : 'enable libcurl support')
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
option('efi_binary', type: 'boolean', value : true, description : 'generate uefi binary if missing')
option('metainfo', type: 'boolean', value : true, description : 'install the project metainfo.xml information')
option('bash_completion', type: 'boolean', value : true, description : 'enable bash completion')
option('fish_completion', type: 'boolean', value : true, description : 'enable fish completion')
option('offline', type: 'boolean', value : true, description : 'enable installing firmware using a pre-boot systemd target')
option('compat_cli', type: 'boolean', value : true, description : 'enable legacy commands: fwupdagent,dfu-tool,fwupdate')
option('hsi', type: 'boolean', value : true, description : 'enable plugins used just for HSI')

=== debian/changelog ===
fwupd (1.7.5-3~20.04.1) focal; urgency=medium

  * Backport 1.7.5-3 from jammy to focal.
  * Support several new devices (LP: #1949412, LP: #1954965, LP: #1953573)
  * fwupd / fwupd-efi source package split (LP: #1955386)
  * Don't install new fwupd-unsiged by default. (LP: #1960783)
  * Disable flashrom in focal as it was not enabled in focal.
  * Downgrade libgusb from 0.3.5 to 0.3.4 which used in focal after
    checking through all commits between. Just what we did on previous
    focal version 1.5.11.

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Mon, 21 Feb 2022 11:06:00 +0800

fwupd (1.7.5-3) unstable; urgency=medium

  * debian/tests:
    - Disable blocking container virtualization only for autopkgtest

 -- Mario Limonciello <superm1@gmail.com>  Sat, 19 Feb 2022 07:21:22 -0600

fwupd (1.7.5-2) unstable; urgency=medium

  * Backport a series of patches that fix autopkgtest failures in Debian
    and Ubuntu.
  * Backport a patch to avoid running fwupd-refresh in containers.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 18 Feb 2022 11:50:37 -0600

fwupd (1.7.5-1) unstable; urgency=medium

  * New upstream version (1.7.5)
    - Enable modem manager plugin by default
  * Drop efivar compatibility patch, upstream
  * backport a patch to fix dell wd19 TBT updates
  * backport a patch for community messaging issue
  * Backport a patch to allow falling back to signed binary if
    unsigned binary not present
  * Drop fwupd-unsigned from Recommends

 -- Mario Limonciello <superm1@gmail.com>  Tue, 15 Feb 2022 08:26:21 -0600

fwupd (1.7.4-2) unstable; urgency=medium

  * Add hard dependencies on libfwupd2 and libfwupdplugin5 built with
    us. Symbols suggest things should work, but maybe not. :-(
    Closes: #1003664

 -- Steve McIntyre <93sam@debian.org>  Thu, 10 Feb 2022 00:13:57 +0000

fwupd (1.7.4-1) unstable; urgency=medium

  * New upstream version (1.7.4)
  * Drop manpages section patch, upstream
  * Add a patch that fixes compilation with newer efivar

 -- Mario Limonciello <superm1@gmail.com>  Mon, 17 Jan 2022 09:42:56 -0600

fwupd (1.7.3-1) unstable; urgency=medium

  * New upstream version (1.7.3)
  * ignore subprojects and build directory from upstream builds in same folder
  * Update symbols and shared library name
  * drop lintian overrides for EFI binary, gone from the split
  * use wildcards in lintian override for library-not-linked-against-libc
  * drop unused debian/source/include-binaries
  * Add Rules-Requires-Root clause
  * Fix man page location
  * disable logitech bulk controller on ubuntu by default
  * disable logitech bulk controller on ubuntu by default
  * add dual license nature of dell-dock plugin to debian/copyright

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Jan 2022 23:41:05 -0600

fwupd (1.7.1-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (1.7.1)
  * Update debian/control and debian/copyright for changes upstream
  * Drop all patches, upstream
  * Packaging changes for the split into fwupd/fwupd-efi.

  [ Steve McIntyre ]
  * Update Mario's email address in debian/control
  * Move manpages into section 8, fix lintian warnings.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 03 Jan 2022 18:27:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: fwupd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
-           Mario Limonciello <mario.limonciello@dell.com>
+           Mario Limonciello <superm1@gmail.com>
 Build-Depends:
+	fwupd-unsigned-dev [amd64 arm64 armhf i386],
 	bash-completion,
 	bubblewrap,
 	debhelper (>= 12),
@@ -20,7 +20,6 @@
 	gnutls-dev,
 	gobject-introspection,
 	gtk-doc-tools,
-	help2man,
 	libarchive-dev,
 	libcairo-dev,
 	libcairo-gobject2,
@@ -28,17 +27,19 @@
 	libefiboot-dev [amd64 arm64 armhf i386],
 	libefivar-dev [amd64 arm64 armhf i386],
 	libelf-dev,
-	libflashrom-dev [!ia64],
 	libfreetype6-dev,
 	libgcab-dev,
 	libgirepository1.0-dev,
 	libglib2.0-dev (>= 2.45.8),
 	libgudev-1.0-dev,
-	libgusb-dev (>= 0.3.5),
+	libgusb-dev (>= 0.3.4),
 	libjcat-dev,
 	libjson-glib-dev (>= 1.1.1),
+	libmbim-glib-dev,
 	libmm-glib-dev,
+	libpci-dev,
 	libpolkit-gobject-1-dev,
+	libprotobuf-c-dev,
 	libqmi-glib-dev,
 	libsmbios-dev [i386 amd64],
 	libsqlite3-dev,
@@ -51,9 +52,12 @@
 	mingw-w64-tools [amd64 arm64 armhf i386],
 	pkg-config,
 	policykit-1 (>> 0.105-14),
+	protobuf-c-compiler,
 	python3-gi-cairo,
-	python3-pil,
+	python3-jinja2,
 	python3-requests,
+	python3-toml,
+	python3-typogrify,
 	shared-mime-info,
 	systemd (>= 231),
 	udev,
@@ -61,16 +65,18 @@
 	valac,
 	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.0.1
 Section: admin
 Homepage: https://github.com/fwupd/fwupd
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd
 
-Package: libfwupdplugin1
+Package: libfwupdplugin5
 Section: libs
 Architecture: linux-any
-Depends: ${misc:Depends},
+Depends: libfwupd2 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
 Description: Firmware update daemon plugin library
@@ -99,7 +105,9 @@
 
 Package: fwupd
 Architecture: linux-any
-Depends: ${misc:Depends},
+Depends: libfwupd2 (= ${binary:Version}),
+         libfwupdplugin5 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
          shared-mime-info
 Recommends: python3,
@@ -207,7 +215,7 @@
 Package: libfwupdplugin-dev
 Architecture: linux-any
 Multi-Arch: same
-Depends: libfwupdplugin1 (= ${binary:Version}),
+Depends: libfwupdplugin5 (= ${binary:Version}),
          gir1.2-fwupdplugin-1.0 (= ${binary:Version}),
          libarchive-dev,
          libcurl4-gnutls-dev,
@@ -215,7 +223,7 @@
          libgcab-dev,
          libglib2.0-dev (>= 2.45.8),
          libgudev-1.0-dev,
-         libgusb-dev (>= 0.3.5),
+         libgusb-dev (>= 0.3.4),
          libjcat-dev,
          libjson-glib-dev (>= 1.1.1),
          libxmlb-dev (>= 0.1.13),
@@ -242,31 +250,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-
-Package: fwupd-amd64-signed-template
-Architecture: amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.
-
-Package: fwupd-i386-signed-template
-Architecture: i386
-Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.
-
-Package: fwupd-armhf-signed-template
-Architecture: armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.
-
-Package: fwupd-arm64-signed-template
-Architecture: arm64
-Depends: ${shlibs:Depends}, ${misc:Depends}, make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

#GPGME needs this for proper building on 32 bit archs
ifeq ($(DEB_HOST_ARCH_BITS),32)
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

CONFARGS =

ifneq ($(CI),)
	CONFARGS += --werror
endif

deb_version := $(shell dpkg-parsechangelog --show-field Version)
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	CONFARGS += -Dplugin_flashrom=false
else
	ifneq ($(DEB_HOST_ARCH_CPU),ia64)
		CONFARGS += -Dplugin_flashrom=true
	else
		CONFARGS += -Dplugin_flashrom=false
	endif
endif

ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
	CONFARGS += -Dplugin_dell=true
else
	CONFARGS += -Dplugin_dell=false
endif

ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
	CONFARGS += -Dplugin_uefi_capsule=true -Defi_binary=false
else
	CONFARGS += -Dplugin_uefi_capsule=false
endif

ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
	CONFARGS += -Dplugin_msr=true
else
	CONFARGS += -Dplugin_msr=false
endif

ifneq ($(QUBES_OPTION),)
	CONFARGS += -Dqubes=true
endif

#Needs a MIR
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
       CONFARGS += -Dplugin_logitech_bulkcontroller=false
endif

CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=false -Ddocs=gtkdoc -Dsupported_build=true -Dplugin_modem_manager=true

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr obj-*
	rm -fr debian/build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS)

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	#install MSR conf if needed (depending on distro)
	[ ! -d debian/tmp/usr/lib/modules-load.d ] || dh_install -pfwupd usr/lib/modules-load.d
	[ ! -d debian/tmp/lib/modules-load.d ] || dh_install -pfwupd lib/modules-load.d
	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_test.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_test_ble.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_invalid.so
	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

ifneq (yes,$(shell command -v valgrind >/dev/null 2>&1 && echo yes))
override_dh_auto_test:
	:
endif

override_dh_builddeb:
	dh_builddeb

## fwupd 1.7.9

=== meson_options.txt ===
--- 
+++ 
@@ -24,12 +24,14 @@
 option('plugin_emmc', type : 'boolean', value : true, description : 'enable eMMC support')
 option('plugin_ep963x', type : 'boolean', value : true, description : 'enable EP963x support')
 option('plugin_fastboot', type : 'boolean', value : true, description : 'enable Fastboot support')
+option('plugin_gpio', type : 'boolean', value : false, description : 'enable GPIO support')
 option('plugin_logitech_bulkcontroller', type : 'boolean', value : true, description : 'enable Logitech bulk controller support')
 option('plugin_parade_lspcon', type : 'boolean', value : true, description : 'enable Parade LSPCON support')
 option('plugin_pixart_rf', type : 'boolean', value : true, description : 'enable PixartRF support')
 option('plugin_realtek_mst', type : 'boolean', value : true, description : 'enable Realtek MST hub support')
 option('plugin_synaptics_mst', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
 option('plugin_synaptics_rmi', type: 'boolean', value: true, description : 'enable Synaptics RMI support')
+option('plugin_scsi', type: 'boolean', value: true, description : 'enable SCSI support')
 option('plugin_tpm', type : 'boolean', value : true, description : 'enable TPM support')
 option('plugin_thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
 option('plugin_redfish', type : 'boolean', value : true, description : 'enable Redfish support')
@@ -50,6 +52,7 @@
 option('qubes', type : 'boolean', value : false, description : 'build packages for Qubes OS')
 option('supported_build', type : 'boolean', value : false, description: 'distribution package with upstream support')
 option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
+option('systemd_unit_user', type : 'string', description : 'User account to use for fwupd-refresh.service (empty for DynamicUser)')
 option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
 option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
 option('tests', type : 'boolean', value : true, description : 'enable tests')

=== debian/changelog ===
fwupd (1.7.9-1~22.04.3) jammy; urgency=medium

  * Hide inhibited usb4 device in dell-dock plugin (LP: #1983451)
    d/p/0001-Do-not-show-unconnected-or-unreachable-devices-in-th.patch
    d/p/0001-trivial-don-t-show-devices-with-inhibit-id-hidden.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Wed, 17 May 2023 13:35:19 +0800

fwupd (1.7.9-1~22.04.2) jammy; urgency=medium

  * d/p/0001_make_sure_mtdram_is_set_up.patch: Upstreamed patch that
    fix the false alarm in the autopkgtest (LP: #1994143)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Wed, 12 Oct 2022 09:47:21 +0800

fwupd (1.7.9-1~22.04.1) jammy; urgency=medium

  * New upstream release, and drop all patches since they are merged.
  * Properly fall back to use DMI instead of /sys/class/dmi interface.
    (LP: #1982103)
  * Don't stderr-fail the autopkgtest on modprobe error as they are
    optional. (LP: #1966364)
  * Run fwupd-refresh under a dedicated fwupd-refresh user. This is
    fixed in 1.7.7, so it's automatically included. (LP: #1969976)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Tue, 20 Sep 2022 03:18:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: fwupd
 Priority: optional
-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <superm1@gmail.com>
@@ -33,10 +34,10 @@
 	libglib2.0-dev (>= 2.45.8),
 	libgudev-1.0-dev,
 	libgusb-dev (>= 0.3.4),
-	libjcat-dev,
+	libjcat-dev (>= 0.1.4),
 	libjson-glib-dev (>= 1.1.1),
 	libmbim-glib-dev,
-	libmm-glib-dev,
+	libmm-glib-dev (>= 1.18),
 	libpci-dev,
 	libpolkit-gobject-1-dev,
 	libprotobuf-c-dev,
@@ -46,7 +47,7 @@
 	libsystemd-dev,
 	libtool-bin,
 	libtss2-dev,
-	libxmlb-dev (>= 0.1.13),
+	libxmlb-dev (>= 0.3.6),
 	locales,
 	meson,
 	mingw-w64-tools [amd64 arm64 armhf i386],
@@ -226,7 +227,7 @@
          libgusb-dev (>= 0.3.4),
          libjcat-dev,
          libjson-glib-dev (>= 1.1.1),
-         libxmlb-dev (>= 0.1.13),
+         libxmlb-dev (>= 0.3.6),
          valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
          ${misc:Depends}
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
        CONFARGS += -Dplugin_logitech_bulkcontroller=false
 endif
 
-CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=false -Ddocs=gtkdoc -Dsupported_build=true -Dplugin_modem_manager=true
+CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=false -Ddocs=gtkdoc -Dsupported_build=true -Dplugin_modem_manager=true -Dsystemd_unit_user=fwupd-refresh
 
 %:
 	dh $@ --with gir
@@ -81,6 +81,9 @@
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_invalid.so
 	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf
 
+	#enable fwupd-refresh.service by default (we have a dedicated user)
+	rm -f debian/fwupd/lib/systemd/system-preset/fwupd-refresh.preset
+
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xfirmware-example.xml.gz
